Flag a post for the moderators
POST /api/member/posts/{postId}/flags. Flag a post for the moderators. Headless LMS Posts API reference.
For anyone who can read the post. Flagging it again while your flag is open returns that flag.
Path Parameters
postId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/member/posts/string/flags" \ -H "Content-Type: application/json" \ -d '{ "reason": "string" }'{ "orgId": "string", "id": "string", "postId": "string", "orgUserId": "string", "reason": "string", "resolvedAt": "2019-08-24T14:15:22Z", "resolution": "dismissed", "resolvedBy": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Remove a bookmark DELETE
DELETE /api/member/posts/{postId}/bookmark. Remove a bookmark. Headless LMS Posts API reference.
Dismiss the open flags on a post in a space you moderate POST
POST /api/member/posts/{postId}/flags/resolution. Dismiss the open flags on a post in a space you moderate. Headless LMS Posts API reference.